Index: Interface_Web/trunk/pspaWT/sources/controler/src/elementBend.cc
===================================================================
--- Interface_Web/trunk/pspaWT/sources/controler/src/elementBend.cc	(revision 387)
+++ Interface_Web/trunk/pspaWT/sources/controler/src/elementBend.cc	(revision 418)
@@ -11,13 +11,11 @@
   nbParam_ = elementName_.getElementNbParameters();
   parametersString_ = new string[nbParam_+1];
-  // transportOk_ = true;
-  // parmelaOk_ = true;
-    registerAcceptableSoftware(nomDeLogiciel::transport, TBoolOk);
-    registerAcceptableSoftware(nomDeLogiciel::parmela, TBoolOk);
+    // registerAcceptableSoftware(nomDeLogiciel::transport, TBoolOk);
+    // registerAcceptableSoftware(nomDeLogiciel::parmela, TBoolOk);
 }
 
   void elementBend::setDefaultValues()
   {
-    defaultLabel_ = "bend";
+    defaultSpecificName_ = "bend";
     angleDegDef_ = 0.0;
     radiusDef_ = 1.0;
@@ -29,5 +27,5 @@
   void elementBend::setDefaults()
   {
-    label_ = defaultLabel_;
+    specificName_ = defaultSpecificName_;
     angleDeg_ = angleDegDef_;
     radius_ = radiusDef_;
@@ -41,5 +39,5 @@
    int compteur = -1;
    parametersString_[++compteur] = mixedTools::intToString(nbParam_);
-   parametersString_[++compteur] = label_;
+   parametersString_[++compteur] = specificName_;
    parametersString_[++compteur] = mixedTools::doubleToString( angleDeg_);
    parametersString_[++compteur] = mixedTools::doubleToString(radius_);
@@ -76,5 +74,5 @@
 	  return;
 	}
-    label_ = param[++compteur];
+    specificName_ = param[++compteur];
     angleDeg_ =  atof(param[++compteur].c_str());
     radius_ = atof(param[++compteur].c_str());
@@ -88,24 +86,24 @@
  }
 
-string elementBend::parmelaOutputFlow() const
-  {
-    ostringstream sortie;
-    // il faut entrer l'energie cinetique
-    double ecin = momentum_/EREST_MeV;
-    ecin = ecin*ecin + 1.;
-    ecin = EREST_MeV*(sqrt(ecin) - 1.0);
-    sortie << "BEND /l=" << lenghtElem_ << "  / aper=" << aperture_ << "  / iout=1 / wr=" << ecin << " /alpha=" << angleDeg_ << " / beta1=" << beta1_;
-    sortie << " / beta2=" << beta1_  << endl;
+// string elementBend::parmelaOutputFlow() const
+//   {
+//     ostringstream sortie;
+//     // il faut entrer l'energie cinetique
+//     double ecin = momentum_/EREST_MeV;
+//     ecin = ecin*ecin + 1.;
+//     ecin = EREST_MeV*(sqrt(ecin) - 1.0);
+//     sortie << "BEND /l=" << lenghtElem_ << "  / aper=" << aperture_ << "  / iout=1 / wr=" << ecin << " /alpha=" << angleDeg_ << " / beta1=" << beta1_;
+//     sortie << " / beta2=" << beta2_  << endl;
 
-    return sortie.str();
-  }
+//     return sortie.str();
+//   }
 
 
-string elementBend::transportOutputFlow() const
-  {
-    ostringstream sortie;
-    sortie << label_ << ":" << "  SBEND, RADIUS=" << radius_ << ", ANGLE=" << angleDeg_ << ", E1=" << beta1_ << ", E2=" << beta2_ << ";" << endl;
-    return sortie.str();
-  }
+// string elementBend::transportOutputFlow() const
+//   {
+//     ostringstream sortie;
+//     sortie << specificName_ << ":" << "  SBEND, RADIUS=" << radius_ << ", ANGLE=" << angleDeg_ << ", E1=" << beta1_ << ", E2=" << beta2_ << ";" << endl;
+//     return sortie.str();
+//   }
 
 
@@ -114,6 +112,6 @@
     ostringstream sortie;
     //    sortie << elementName_.getElementType() << endl;
-    sortie << elementName_.getElementLabel() << endl;
-    sortie  << label_ << endl;
+    sortie << elementName_.getGenericLabel() << endl;
+    sortie  << specificName_ << endl;
     sortie << angleDeg_ << "  " << radius_ << " " <<  aperture_  << endl;
     sortie << beta1_ << "  " << beta2_ << " " << momentum_ << endl;
@@ -121,7 +119,27 @@
   }
 
+vector< pair<string, vector<string> > > elementBend::parametersToSoftware () const{
+  vector< pair<string, vector<string> > >  sortie;
+  sortie.push_back( pair<string, vector<string> >("labelsGenericSpecific",  vector<string>() ) );
+  sortie.back().second.push_back(elementName_.getGenericLabel());
+  sortie.back().second.push_back(specificName_);
+  sortie.push_back( pair<string, vector<string> >("lenghtAperture",  vector<string>() ) );
+  sortie.back().second.push_back(mixedTools::doubleToString( lenghtElem_));
+  sortie.back().second.push_back(mixedTools::doubleToString( aperture_));
+  sortie.push_back( pair<string, vector<string> >("angleDegre",  vector<string>() ) );
+  sortie.back().second.push_back(mixedTools::doubleToString( angleDeg_));
+  sortie.push_back( pair<string, vector<string> >("radius",  vector<string>() ) );
+  sortie.back().second.push_back(mixedTools::doubleToString( radius_));
+  sortie.push_back( pair<string, vector<string> >("rotatedFaces",  vector<string>() ) );
+  sortie.back().second.push_back(mixedTools::doubleToString( beta1_));
+  sortie.back().second.push_back(mixedTools::doubleToString( beta2_));
+  sortie.push_back( pair<string, vector<string> >("momentum",  vector<string>() ) );
+  sortie.back().second.push_back(mixedTools::doubleToString( momentum_));
+  return sortie;
+}
+
 void elementBend::FileInput(ifstream& ifs)
 {
-  ifs >> label_;
+  ifs >> specificName_;
   ifs >> angleDeg_ >> radius_ >>  aperture_;
   ifs >> beta1_ >> beta2_ >> momentum_;
@@ -134,5 +152,5 @@
     string txt = "";
 
-    txt += label_;
+    txt += specificName_;
     txt += "\nangle (deg.) : ";
     txt += mixedTools::doubleToString(angleDeg_);
